package com.example.aeropuertoback.controller;

import com.example.aeropuertoback.entity.PasajeroAuth;
import com.example.aeropuertoback.service.pasajeroAuth.IPasajeroAuthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@CrossOrigin(origins = "http://localhost:4200")
@RestController
@RequestMapping(value = "/pasajeros-auth")
public class PasajeroAuthController {
    @Autowired
    private IPasajeroAuthService iPasajeroAuthService;

    @GetMapping(value = "/listar")
    public List<PasajeroAuth> listar(){
        return iPasajeroAuthService.findAll();
    }

    @PostMapping(value = "/agregar", consumes = MediaType.APPLICATION_JSON_VALUE)
    public PasajeroAuth guardarPasajero(@RequestBody PasajeroAuth pasajeroAuth){
        return iPasajeroAuthService.save(pasajeroAuth);
    }
}
