package com.example.aeropuertoback.service.itinerario;

import com.example.aeropuertoback.dao.IItinerarioReservaDAO;
import com.example.aeropuertoback.dao.IPasajeroDAO;
import com.example.aeropuertoback.entity.ItinerarioReserva;
import com.example.aeropuertoback.entity.Pasajero;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ItinerarioServiceImpl implements IItinerarioService{

    @Autowired
    private IItinerarioReservaDAO itinerarioReservaDAO;

    @Override
    public List<ItinerarioReserva> findAll() {
        return (List<ItinerarioReserva>)itinerarioReservaDAO.findAll();
    }

    @Override
    public ItinerarioReserva findOne(Integer id) {
        return itinerarioReservaDAO.findById(id).orElse(null);
    }

    @Override
    public ItinerarioReserva save(ItinerarioReserva itinerarioReserva) {
        return itinerarioReservaDAO.save(itinerarioReserva);
    }

    @Override
    public void delete(Integer id) {
        itinerarioReservaDAO.deleteById(id);
    }
}
